.table-view-mobile { display:none; }
.ferris-container {
	padding:140px 0 !important;
}
.ferris-wrapper {
	position:relative;
	display:block;
	width:400px;
	height:400px;
	margin:0 auto;
}
.ferris-wrapper:before {
  content: "";
  height: 80px;
  width: 80px;
  position: absolute;
  border-radius: 50%;
  left: calc(50% - 41px);
  top: calc(50% - 41px);
  z-index: 5;
/* background:url('../../../../../wp-content/uploads/2022/12/fav.png') no-repeat center center; */
  background-size:80%;
  background-color:transparent;
	border-radius:100%;
	border: 2px solid #462491;
  box-shadow:0 0 50px rgba(0,0,0,0.15);
/* 	border:2px solid #ff6468; */
	
}
.ferris-wrapper:after {
	z-index:3;
	height:150px;
	width:150px;
	margin-left:-75px;
	margin-top:-75px;
	background-image:none;
	background-color:#ffffff;
}

.ferris_wheel ,.wheel {
  border: 4px solid rgba(255, 255, 255, 0.15);
  width: 400px;
  height: 400px;
  border-radius: 50%;
}

.ferris_wheel {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%) scale(1.4, 1.4);
  border: 0;
}

.wheel_wrap {
  position: absolute;
  animation: wheel_rotate 154s infinite linear;
}
.second .wheel_wrap {
  animation: wheel_rotate 154s infinite linear;
}

.wheel span:before { content: ""; border-bottom: 0; height:4px; position: absolute; width: 400px; top: 50%; left: 0; display:block; background: rgb(23,56,108); background:linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 100%); }
.wheel span:nth-child(1):before { transform: rotate(0deg); }
.wheel span:nth-child(2):before { transform: rotate(45deg); }
.wheel span:nth-child(3):before { transform: rotate(90deg); }
.wheel span:nth-child(4):before { transform: rotate(135deg); }
.wheel span:nth-child(5):before { transform: rotate(180deg); }
.wheel span:nth-child(6):before { transform: rotate(225deg); }
.wheel span:nth-child(7):before { transform: rotate(270deg); }
.wheel span:nth-child(8):before { transform: rotate(315deg); }


/*2nd Wheel*/
.second .wheel span:before,
.second .wheel span:after{
	display:none;
	border-right:0;
}
.second .wheel span:before { content: ""; border-bottom: 0; height:4px; position: absolute; width: 400px; top: 50%; left: 0; display:block; background: rgb(23,56,108); background:linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 100%); }
.second .wheel span:nth-child(1):before { transform: rotate(0deg); }
.second .wheel span:nth-child(2):before { transform: rotate(90deg); }
.second .wheel span:nth-child(3):before { transform: rotate(180deg); }
.second .wheel span:nth-child(4):before { transform: rotate(270deg); }
/* .second .wheel span:nth-child(5):before { transform: rotate(240deg); }
.second .wheel span:nth-child(6):before { transform: rotate(120deg); } */



@keyframes wheel_rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}



.buckets > div {
  position: absolute;
  width:130px;
  animation: bucket_rotate 176s infinite linear;
  top: 50%;
  left: 50%;
  margin-left:-65px;
  margin-top:-55px;
}
.buckets > div.cabin {	
	text-align:center;
    border: 1px solid rgba(0,0,0,0);
	color:#ffffff;
}

.buckets > div.cabin .img-holder { position:relative; }
.buckets > div.cabin .img-holder img.png {
	position:absolute;
	left:0; top:0;
	z-index:10;
	width:100%;
}
.buckets div img { max-width:100%; position:relative; z-index:1; -webkit-transition: all 0.34s ease; transition : all 0.34s ease; opacity:1; filter:alpha(opacity=100); }
/* .buckets div.cabin:hover img { background: rgba(255,255,255,0.6);}
.residential .buckets div.cabin:hover img { background: #1A4993AB; border: 1px solid #2D599DA1; }
.buckets > div.cabin:hover .img-holder img.png { opacity:0; filter:alpha(opacity=0); } */
.buckets div h3 { font-size:1.1em; display:none; line-height:1.1; font-weight:600; font-family:"Roboto"; color:#ffffff; min-height:2.2em; }

.buckets span {
  display: inline-block;
  height: 0;
  width: auto;
  position: relative;
}



@keyframes bucket_rotate {
  0% { 
    transform: rotate(0) translateX(200px) rotate(0); 
  }
  100% { 
    transform: rotate(360deg) translateX(200px) rotate(-360deg); 
  }
}

.buckets div:nth-child(2) {
  animation-delay: -22s;
}

.buckets div:nth-child(3) {
  animation-delay: -44s;
}

.buckets div:nth-child(4) {
  animation-delay: -66s;
}

.buckets div:nth-child(5) {
  animation-delay: -88s;
}

.buckets div:nth-child(6) {
  animation-delay: -110s;
}

.buckets div:nth-child(7) {
  animation-delay: -132s;
}

.buckets div:nth-child(8) {
  animation-delay: -154s;
}


.ferris_wheel:hover .wheel_wrap,
.ferris_wheel:hover .buckets div,
.ferris_wheel:hover .buckets > div:before {
	 animation-play-state: paused !important; 
}



/*2nd Commercial Ferris Wheel*/

.second .buckets div:nth-child(2) {
  animation-delay: -40s;
}

.second .buckets div:nth-child(3) {
  animation-delay: -78s;
}

.second .buckets div:nth-child(4) {
  animation-delay: -116s;
}

.second .buckets > div {
  animation: bucket_rotate 154s infinite linear;
}



/*Table View*/
.table-view-mobile { margin-top:-15px; }
.table-view-mobile .table-box { text-align:center; margin:0 -5px; display: flex;
  flex-wrap: wrap; justify-content:center; }
.table-view-mobile .table-box .cabin { display:inline-block; width:calc(50% - 16px); vertical-align:top; margin-bottom:20px; background:red; margin:8px 8px 15px; background:#7b25e5; border-radius:7px; overflow:hidden; box-shadow:0 0 10px rgba(0,0,0,0.3); }
.table-view-mobile .table-box .cabin > a { display:block; border-radius:7px 7px 0 0; }
.table-view-mobile .table-box .cabin > a .img-holder { padding:15px; background:#ffffff; }
.table-view-mobile .table-box .cabin > a .img-holder img { width:85%; max-width:200px; }
.table-view-mobile .table-box .cabin > a h3 { background:#7b25e5; font-size:14px; padding:10px; }



@media only screen and (max-width:767px) {
	
	.ferris-container { display:none; }
	.table-view-mobile { display:block; }
	
	.buckets > div {
	  position: absolute;
	  width:65px;
	  margin-left:-32.5px;
		margin-top:-32.5px;
	}
	.ferris-wrapper {
		width:200px;
		height:200px;
	}
	.ferris_wheel, .wheel {
		width: 200px;
		height: 200px;
	}
	.ferris-wrapper:before {
	  height: 150px;
	  width: 150px;
	  left: calc(50% - 75px);
	  top: calc(50% - 75px);
	  background-size:150px 150px;
	}
	.wheel span:nth-child(1):before,
	.wheel span:nth-child(1):after,
	.wheel span:nth-child(2):before,
	.wheel span:nth-child(2):after,
	.wheel span:nth-child(3):before {
	  height: 200px;
	}
	.wheel span:nth-child(1)::before {
		width:200px;
		height:0;
	}

	.second .wheel span:nth-child(1):before,
	.second .wheel span:nth-child(2):before,
	.second .wheel span:nth-child(3):before,
	.second .wheel span:nth-child(4):before,
	.second .wheel span:nth-child(5):before,
	.second .wheel span:nth-child(6):before,
	.second .wheel span:nth-child(7):before,
	.second .wheel span:nth-child(8):before,
	.second .wheel span:nth-child(9):before { width: 200px; }
	
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(100px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(100px) rotate(-360deg); 
	  }
	}
	
	#commercial_slick .btn-prev, #commercial_slick .btn-next {
		top:auto;
		bottom:0;
		font-size:30px;
	}
	#commercial_slick .slick-ferris {
		padding-top:110px;
		padding-bottom:120px;
	}
	
}

/* @media only screen and (min-width:1921px) {
	.ferris-container {
		padding:140px 0 !important;
	}
	.ferris-wrapper,
	.ferris_wheel, .wheel {
		width:400px;
		height:400px;
	}
	.wheel span::before,
	.second .wheel span::before {
		width:400px;
	}
	.buckets > div {
		width:160px;
		margin-top:-80px;
		margin-left:-80px;
	}
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(100px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(100px) rotate(-360deg); 
	  }
	}
} */

@media only screen and (max-width: 1600px) {
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(175px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(175px) rotate(-360deg); 
	  }
	}
	
	.ferris-wrapper,
	.ferris_wheel,
	.wheel {
		width:350px;
		height:350px;
	}
	
	.second .wheel span:before,
	.wheel span:before {
		content: "";
		border-bottom: 0;
		height:4px;
		position: absolute;
		width: 350px;
		top: 50%;
		left: 0;
		display:block;
		background: rgb(23,56,108);
		background:linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, rgba(0,0,0,0.15) 50%, rgba(0,0,0,0.15) 100%);
	}
}

@media only screen and (max-width: 1366px) {
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(125px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(125px) rotate(-360deg); 
	  }
	}
	
	.ferris-wrapper,
	.ferris_wheel,
	.wheel {
		width:250px;
		height:250px;
	}
	
	.second .wheel span:before,
	.wheel span:before {
		content: "";
		border-bottom: 0;
		height:4px;
		position: absolute;
		width: 250px;
		top: 50%;
		left: 0;
		display:block;
		background: rgb(23,56,108);
		background:linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, rgba(0,0,0,0.15) 50%, rgba(0,0,0,0.15) 100%);
	}
	
	.buckets > div.cabin .img-holder img.png {
		width: 85%;
		left: 7.5%;
		top: 7.5%;
	}
}